# $Revision: 1.10 $, $Date: 2011/11/10 13:57:50 $
Summary:	Convmv - convert filenames from one encoding to another
Summary(pl.UTF-8):	Convmv - konwersja nazw plików z jednego kodowania do innego
Name:		convmv
Version:	1.15
Release:	1
License:	GPL v2
Group:		Applications/File
Source0:	http://j3e.de/linux/convmv/%{name}-%{version}.tar.gz
# Source0-md5:	b1bb703c08c6355868d15890ff193f7d
URL:		http://j3e.de/linux/convmv/
BuildRequires:	perl-tools-pod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convmv is meant to help convert a single filename, a directory tree
and the contained files or a whole filesystem into a different
encoding. It just converts the filenames, not the content of the
files. A special feature of convmv is that it also takes care of
symlinks, also converts the symlink target pointer in case the symlink
target is being converted, too. All this comes in very handy when one
wants to switch over from old 8-bit locales to UTF-8 locales. It is
also possible to convert directories to UTF-8 which are already partly
UTF-8 encoded. Convmv is able to detect if certain files are UTF-8
encoded and will skip them by default. To turn this smartness off use
the "--nosmart" switch.

%description -l pl.UTF-8
Convmv ma za zadanie pomóc przy konwersji pojedynczych nazw plików,
drzew katalogów wraz z zawartymi w nich plikami lub całego systemu
plików na inne kodowanie. Konwertuje tylko nazwy plików, a nie ich
zawartość. Szczególną cechą convmv jest to, że dba także o dowiązania
symboliczne i konwertuje wskazania docelowe w przypadku, gdy cel
dowiązania jest zmieniany. Jest to pomocne przy przechodzeniu ze
starych 8-bitowych lokalizacji do nowych w UTF-8. Można także
przekonwertować do UTF-8 katalogi, które były już częściowo kodowane w
UTF-8. Convmv jest w stanie wykryć, czy dane pliki są zakodowane w
UTF-8 i domyślnie je pominąć. Aby wyłączyć to zachowanie można użyć
przełącznika "--nosmart".

%prep
%setup -q

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS Changes TODO
%attr(755,root,root) %{_bindir}/convmv
%{_mandir}/man1/convmv.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: convmv.spec,v $
Revision 1.10  2011/11/10 13:57:50  glen
- up to 1.15, verbose files

Revision 1.9  2009/01/14 19:42:04  duddits
- up to 1.14

Revision 1.8  2008/05/07 23:05:17  prism
- up to 1.12
- update recommended: workarounds for bugs #37757 #49830 found in Perl 5.10
  causing troubles when converting to UTF-8 (broken from_to() function)

Revision 1.7  2007-12-21 15:12:49  glen
- rel 2

Revision 1.6  2007-04-02 16:33:04  czarny
- up to 1.10

Revision 1.5  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.3  2005/09/20 20:07:44  qboosh
- pl

Revision 1.2  2005/09/19 02:51:09  pluto
- adapterized.

Revision 1.1  2005/09/19 02:49:05  pluto
- initial release.
